Bug 658167 - "Sync Now" button wihout any effect
"Sync Now" button wihout any effect
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
540
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-11-29 10:08 EST by Tomas Lestach
Modified: 2010-12-16 11:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Occasionally, clicking the "Sync Now" button did not produce the expected results. This error has been fixed, and the button now initiates the repository synchronization as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-16 10:45:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2010-11-29 10:08:39 EST
Description of problem:
"Sync Now" button on the rhn/channels/manage/Sync.do sometimes doesn't trigger the repo sync.

Version-Release number of selected component (if applicable):
sat540

How reproducible:
not deterministic

Steps to Reproduce:
1. create a custom channel
2. define a repo a link it to the channel
3. trigger the repo sync via the "Sync Now" button on the rhn/channels/manage/Sync.do page
  
Actual results:
In these case you'll find in the /var/log/rhn/rhn_taskomatic_daemon.log something similar to:

INFO   | jvm 1    | 2010/11/26 09:06:44 | 2010-11-26 09:06:44,375 [DefaultQuartzScheduler_Worker-9] ERROR com.redhat.rhn.taskomatic.TaskoJob - No such schedule with id  36
INFO   | jvm 1    | 2010/11/26 09:06:44 | 2010-11-26 09:06:44,395 [DefaultQuartzScheduler_Worker-9] WARN  com.redhat.rhn.taskomatic.TaskoQuartzHelper - Removing trigger DEFAULT.single-repo-sync-bunch-15

Expected results:
"Sync Now" button always triggers the repo sync.

Additional info:
Hard to reproduce, QA shall ping me when testing.
Comment 2 Tomas Lestach 2010-12-06 08:30:19 EST
satellite.git: ddb7cbf669528f2a29e17875afa0b30d533f9bfc
Comment 4 Garik Khachikyan 2010-12-10 11:31:45 EST
hi Tomas,

for the fix could you please specify the test scenario (for reproducer and bug verification).

as you find the solution for the issue - i hope there would be also the scenario for its reproducer.

thanks.
Comment 8 errata-xmlrpc 2010-12-16 10:45:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0991.html
Comment 9 Jaromir Hradilek 2010-12-16 11:35:10 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Occasionally, clicking the "Sync Now" button did not produce the expected results. This error has been fixed, and the button now initiates the repository synchronization as expected.

Note You need to log in before you can comment on or make changes to this bug.